Subject: Re: [bitcoin-dev] Bitcoin Node Speed Test

From: Joseph Gleason ⑈ <[email-masked]>
Date: Thu, 23 Jul 2015 19:57:38 +0000

That is how I read it as well.

On Thu, Jul 23, 2015 at 12:56 PM Marcel Jamin via bitcoin-dev <
[email-masked]> wrote:

> He measured the upload capacity of the peers by downloading from them, or
> am I being dumb? :)
>
>
> 2015-07-23 18:05 GMT+02:00 Peter Todd via bitcoin-dev <
> [email-masked]>:
>
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA256
>>
>>
>>
>> On 23 July 2015 10:19:59 GMT-04:00, slurms--- via bitcoin-dev <
>> [email-masked]> wrote:
>> >This does not support the theory that the network has the available
>> >bandwidth for increased block sizes, as in its current state 37% of
>> >nodes would fail to upload a 20MB block to a single peer in under 20
>> >seconds (referencing a number quoted by Gavin). If the bar for
>> >suitability is placed at taking only 1% of the block time (6 seconds)
>> >to upload one block to one peer, then 69% of the network fails for 20MB
>> >blocks. For comparison, only 10% fail this metric for 1MB blocks.
>>
>> Note how due to bandwidth being generally asymetric your findings are
>> probably optimistic - you've measured download capacity. On top of that
>> upload is further reduced by the fact that multiple peers at once need to
>> be sent blocks for reliability.
>>
>> Secondly you're measuring a network that isn't under attack - we need
>> significant additional margin to resist attack as performance is
>> consensus-critical.
>>
>> -----BEGIN PGP SIGNATURE-----
>>
>> iQE9BAEBCAAnIBxQZXRlciBUb2RkIDxwZXRlQHBldGVydG9kZC5vcmc+BQJVsRCj
>> AAoJEMCF8hzn9Lnc47AIAIQbznavjd2Rbqxeq5a3GLqeYoI4BZIQYqfWky+6OQtq
>> yGRKaqPtGuES5y9L0k7efivT385mOl87PWnWMy61xxZ9FJgoS+YHkEx8K4tfgfA2
>> yLOKzeFSar2ROCcjHYyPWa2XXjRbNmiLzfNuQyIBArg/Ch9//iXUUM+GG0mChF5k
>> nUxLstXgXDNh5H8xkHeLi4lEbt9HFiwcZnT1Tzeo2dvVTujrtyNb/zEhNZScMXDc
>> UOlT8rBLxzHlytKdXt1GNKIq0feTRJNbreBh7/EB4nYTT54CItaaVXul0LdHd5/2
>> kgKtdbUdeyaRUKrKcvxiuIwclyoOuRQp0DZThsB262o=
>> =tBUM
>> -----END PGP SIGNATURE-----
>>
>> _______________________________________________
>> bitcoin-dev mailing list
>> [email-masked]
>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>